> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Employees To Pay Group



## OpenAPI

````yaml /api-reference/preview.json post /organizations/{organization_id}/payrolls/pay-groups/{pay_group_id}/assign-employees
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/payrolls/pay-groups/{pay_group_id}/assign-employees:
    post:
      tags:
        - Core
        - Payrolls
      summary: Assign Employees To Pay Group
      operationId: >-
        assign_employees_to_pay_group_organizations__organization_id__payrolls_pay_groups__pay_group_id__assign_employees_post
      parameters:
        - name: pay_group_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Pay Group Id
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayGroupAssignEmployeesRequest'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    PayGroupAssignEmployeesRequest:
      properties:
        employee_ids:
          items:
            anyOf:
              - type: string
              - type: string
                format: uuid
          type: array
          minItems: 1
          title: Employee Ids
      additionalProperties: true
      type: object
      required:
        - employee_ids
      title: PayGroupAssignEmployeesRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````